import { HTMLChartRenderer } from './chart';
import { Cell } from '../data_tree';
import type * as lite from 'vega-lite';
export declare abstract class HTMLCartesianChartRenderer extends HTMLChartRenderer {
    abstract getMark(): 'bar' | 'line' | 'point';
    getVegaLiteSpec(data: Cell): lite.TopLevelSpec;
}
